package ink.wgink.module.wechat.officialaccount.pojo.pos;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: OfficialAccountUserPO
 * @Description: 公众号用户
 * @Author: wanggeng
 * @Date: 2021/4/28 6:13 下午
 * @Version: 1.0
 */
public class OfficialAccountUserPO {

    private String appId;
    private String openId;
    private String userId;
    private String userCode;
    private Integer isInitAccount;
    private String gmtCreate;
    private String gmtModified;
    private String status;

    public String getAppId() {
        return appId == null ? "" : appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getOpenId() {
        return openId == null ? "" : openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getUserId() {
        return userId == null ? "" : userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserCode() {
        return userCode == null ? "" : userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public Integer getIsInitAccount() {
        return isInitAccount == null ? 0 : isInitAccount;
    }

    public void setIsInitAccount(Integer isInitAccount) {
        this.isInitAccount = isInitAccount;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getStatus() {
        return status == null ? "" : status.trim();
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
